Bug 501328 - RFE: Add support for virtio console in libvirt QEMU driver
RFE: Add support for virtio console in libvirt QEMU driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F13VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-18 11:30 EDT by Daniel Berrange
Modified: 2011-12-02 10:03 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-02 10:03:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2009-05-18 11:30:15 EDT
Description of problem:
Upstream QEMU recently gained support for a VirtIO text console, which can be enabled by setting -virtioconsole CHAR-DEV-OPTIONS.

Currently we treat the first <serial> device as console in QEMU driver. With this new functionality, we can finally provide a proper paravirt console implementation.

Version-Release number of selected component (if applicable):
libvirt-0.6.3

How reproducible:
Always

Steps to Reproduce:
1. Boot a guest with a <console> tag 
2. Run 'lspci' inside the guest
3.
  
Actual results:
No virtio console present

Expected results:
VirtIO console device present, module loaded, device visible as /dev/hvc0, and a gettty process running

Additional info:
NB, we may find we need to open further bugs to get the console configure in F12 guests. TBD once libvirt support is present.
Comment 1 Mark McLoughlin 2009-05-25 10:11:56 EDT
bug #501720 covers getting a gettty launched
Comment 2 Daniel Berrange 2009-09-15 06:58:47 EDT
I don't see my getting this done for F12, so moving to F13
Comment 3 Cole Robinson 2010-03-16 10:53:15 EDT
This should be in rawhide with the latest libvirt release. Closing.
Comment 4 Daniel Berrange 2010-03-16 11:01:58 EDT
Actually its not fully implemented. We only enable virtio console as as side-effect of virtio-serial. We still need to allow for a <console> element to setup a real virtio console for interactive use.
Comment 5 Daniel Berrange 2010-08-23 12:50:11 EDT
This is available upstream now as of:

commit 82b6d7600e2c1ea23a18b23984d7d8d47961cfc9
Author: Cole Robinson <crobinso@redhat.com>
Date:   Wed Jul 14 13:02:04 2010 -0400

    qemu: virtio console support
    
    Enable specifying a virtio console device with:
    
    <console type='pty'>
      <target type='virtio'/>
    </console>

This is in the 0.8.3 release.
Comment 6 Fedora Admin XMLRPC Client 2011-09-22 13:51:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-09-22 13:54:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-09-22 13:59:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 14:32:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-11-30 14:35:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-11-30 14:42:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-11-30 14:53:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Eric Blake 2011-12-02 10:03:12 EST
Closing per comment 5.

Note You need to log in before you can comment on or make changes to this bug.